/*
 * Filename: pmcc-themes.css
 * Description: Theme variables, fonts, typography, and global design settings
 * Organization: PMCC 4th Watch's
 */

/* material */
@font-face {
  font-family: "Material Symbols Rounded";
  src: url("../assets/fonts/MaterialSymbolsRounded.woff2") format("woff2");
  font-style: normal;
  font-weight: 100 700;
  font-display: swap;
}

/* Inter */
@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-VariableFont_opsz,wght.ttf")
    format("truetype");
  font-weight: 100 900; /* range of weights */
  font-style: normal; /* normal style */
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/Inter/Inter-Italic-VariableFont_opsz,wght.ttf")
    format("truetype");
  font-weight: 100 900;
  font-style: italic; /* italic style */
  font-display: swap;
}

/* Suez One */
@font-face {
  font-family: "Suez One";
  src: url("../assets/fonts/Suez_One/SuezOne-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* Font settings */
:root {
  font-family: Inter, sans-serif;
  font-feature-settings: "liga" 1, "calt" 1; /* fix for Chrome */
}

/* Use variable font if supported */
@supports (font-variation-settings: normal) {
  :root {
    font-family: InterVariable, sans-serif;
  }
}

/* Responsive font scaling for large screens */
@media only screen and (min-width: 1392px) {
  :root {
    /* font-size: calc(100vw / 80); */
  }
}

html {
  scrollbar-gutter: stable;
}

html,
body {
  font-family: "Inter", sans-serif;
  font-feature-settings: "liga" 1, "calt" 1;
}
/* =========================
   Global Typography
   ========================= */
body {
  font-size: 1rem;
  letter-spacing: normal;
  font-weight: 400;
  font-style: normal;
  font-kerning: none;
  text-decoration: none;
  position: relative;
  z-index: 1;
  color: #3c3c3c;
}

body a {
  text-decoration: none;
  color: #3c3c3c;
  font-weight: 600;
  /* font-size: 0.875rem; */
}

h1 {
  font-size: 2.5rem;
  font-family: "Suez One", serif;
}

h2 {
  font-family: "Suez One", serif;
  font-size: 2.5rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 6px 0;
  line-height: 1.5;
  text-rendering: optimizelegibility;
}

.pmcc-single-page h2 {
  font-size: 1.5rem;
  font-family: inherit;
}

/* Responsive for small screens */
@media (max-width: 768px) {
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    line-height: 1;
  }
  h1 {
    font-size: 1.5rem;
    font-family: "Suez One", serif;
  }
  h2 {
    font-family: "Suez One", serif;
    font-size: 1.5rem;
  }
}
